Bug 720899 - error importing profile
error importing profile
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-13 03:44 EDT by Raymond Mancy
Modified: 2014-12-07 20:08 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-15 13:57:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2011-07-13 03:44:08 EDT
Cobbler keeps getting stuck importing the PAE version of this distro
on stage F-10/GOLD/Fedora/i386/os.


Traceback (most recent call last):
  File "/var/lib/cobbler/triggers/sync/post/osversion.trigger", line 356, in ?
    distro = update_comment(distro)
  File "/var/lib/cobbler/triggers/sync/post/osversion.trigger", line 287, in update_comment
    profile_id = cobbler.get_profile_handle(distro['name'],token)
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1096, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1383, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1147, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.4/xmlrpclib.py", line 1286, in _parse_response
    return u.close()
  File "/usr/lib64/python2.4/xmlrpclib.py", line 744, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault 1: "cobbler.cexceptions.CX:'internal error, unknown profile name Fedora-10-PAE_nfs--i386'">



I don't think the cobbler_import.pl script is creating the distro name properly.
Comment 2 Bill Peck 2011-07-13 09:22:57 EDT
I ended up running the following command to remove Fedora-10

[root@lab-stage ~]# /etc/cron.hourly/cobbler_expire_distros.cron Fedora-10
Removing distro Fedora-10_nfs-i386
Removing distro Fedora-10_nfs-PAE-i386
Removing distro Fedora-10_nfs-ppc64
Removing distro Fedora-10-PAE_nfs--i386
Removing distro Fedora-10_nfs-x86_64
Removing distro Fedora-10_nfs-ppc


Its a bit drastic but when you consider F10 has been EOL for quite a while its no big deal.

It does look like there was a one off import of PAE that went wrong.  Notice all the other distro names are correct.

FYI - Always use cobbler_expire_distros to remove distros since that will remove them from beaker as well.
Comment 3 Raymond Mancy 2011-07-13 09:40:21 EDT
This was on beaker-stage. 

Ahh yues I didn't read that cron script carefully, missed the 'len(sys.argv) > 1', I thought the only way to expire was to actually remove it...

Note You need to log in before you can comment on or make changes to this bug.